Subject: bug#21357: 24.5; Daemon leaves Mac OSX App open after closing GUI frame

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 26 Aug 2021 16:00:12 +0200

Alan Third <[email-masked]> writes:

> The attached patch "fixes" this by hiding the app icon in the dock and
> removing the menus. It's still possible to create a new frame using
> emacsclient.

I think that makes sense...

> The alternative is to occasionally run the NS run loop even when there
> are no NS frames open. I don't know how we could do that but it would
> allow us to leave the menu and dock icon available and operative even
> without any GUI frames open.

I would expect there to be nothing in the dock when running an Emacs
daemon (and there's no frames open), but don't really have an opinion on
this.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no